# Cinder

# cinder::DataSourceBuffer Class Reference

`#include <DataSource.h>`

Inherits cinder::DataSource.

List of all members.

## Public Member Functions
virtual bool | isFilePath ()
virtual bool | isUrl ()
virtual IStreamRef | getStream ()
const std::string & | getFilePath ()
const Url & | getUrl ()
const std::string & | getFilePathHint ()
Buffer & | getBuffer ()
## Static Public Member Functions
static DataSourceBufferRef | createRef (Buffer buffer, const std::string &filePathHint="")
## Protected Member Functions
| DataSourceBuffer (Buffer aBuffer)
virtual void | createBuffer ()
void | setFilePathHint (const std::string &aFilePathHint)
## Protected Attributes
IStreamMemRef | mStream
Buffer | mBuffer
std::string | mFilePath
std::string | mFilePathHint
Url | mUrl

## Constructor & Destructor Documentation

cinder::DataSourceBuffer::DataSourceBuffer | ( | Buffer | aBuffer | ) | `[protected]`

## Member Function Documentation

DataSourceBufferRef cinder::DataSourceBuffer::createRef | ( | Buffer | buffer,
|  | const std::string & | filePathHint = `""` |
| ) |  |  | `[static]`

virtual bool cinder::DataSourceBuffer::isFilePath | ( |  | ) | `[virtual]`

Implements cinder::DataSource.

virtual bool cinder::DataSourceBuffer::isUrl | ( |  | ) | `[virtual]`

Implements cinder::DataSource.

IStreamRef cinder::DataSourceBuffer::getStream | ( |  | ) | `[virtual]`

Implements cinder::DataSource.

void cinder::DataSourceBuffer::createBuffer | ( |  | ) | `[protected, virtual]`

Implements cinder::DataSource.

const std::string & cinder::DataSource::getFilePath | ( |  | ) | `[inherited]`

const Url & cinder::DataSource::getUrl | ( |  | ) | `[inherited]`

const std::string & cinder::DataSource::getFilePathHint | ( |  | ) | `[inherited]`

Buffer & cinder::DataSource::getBuffer | ( |  | ) | `[inherited]`

void cinder::DataSource::setFilePathHint | ( | const std::string & | aFilePathHint | ) | `[protected, inherited]`

## Member Data Documentation

IStreamMemRef cinder::DataSourceBuffer::mStream`[protected]`

Buffer cinder::DataSource::mBuffer`[protected, inherited]`

std::string cinder::DataSource::mFilePath`[protected, inherited]`

std::string cinder::DataSource::mFilePathHint`[protected, inherited]`

Url cinder::DataSource::mUrl`[protected, inherited]`

The documentation for this class was generated from the following files:

- include/cinder/DataSource.h
- src/cinder/DataSource.cpp